### Method

# ECal Client get_objects_for_uid_finish

since: 3.2

#### Declaration [src]

    gboolean
    e_cal_client_get_objects_for_uid_finish (
      ECalClient* client,
      GAsyncResult* result,
      GSList** out_ecalcomps,
      GError** error
    )

#### Description [src]

Finishes previous call of `e_cal_client_get_objects_for_uid()` and sets `out_ecalcomps` to a list of `ECalComponent`s corresponding to found components for a given uid of the same type as this client. This list should be freed with e_client_util_free_object_slist().

Available since: 3.2

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`out_ecalcomps`

  Type: A list of `None`

                  Return location for the list of objects obtained from the
                  backend.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.